Subject: Re: linux-next: manual merge of the target-bva tree with the target-updates tree

From: Bart Van Assche <[email-masked]>
Date: Thu, 1 Jun 2017 04:59:40 +0000

On Thu, 2017-06-01 at 14:10 +1000, Stephen Rothwell wrote:
> Hi Bart,
> 
> Today's linux-next merge of the target-bva tree got a conflict in:
> 
>   drivers/target/target_core_transport.c
> 
> between commit:
> 
>   4ff83daa0200 ("target: Re-add check to reject control WRITEs with overflow data")
> 
> from the target-updates tree and commit:
> 
>   2c66660df665 ("target: Fix overflow/underflow handling of commands with a Data-Out buffer")
> 
> from the target-bva tree.
> 
> I fixed it up (I think (guidance appreciated), see below) and can
> carry the fix as necessary. This is now fixed as far as linux-next is
> concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.

Hello Stephen,

Thanks for having fixed this up. I hadn't noticed that Nic had queued up patches
that conflict with my patches. I will rebase my tree.

Bart.